summaryrefslogtreecommitdiff
path: root/tests
diff options
context:
space:
mode:
authorJim Meyering <meyering@redhat.com>2011-09-01 12:09:32 +0200
committerJim Meyering <meyering@redhat.com>2011-09-01 16:36:23 +0200
commita8c7983629c8f9d34cf3e710a531f6f4d95f4fe0 (patch)
tree068f259cd9c3d840dbd81a8bae51f60c785a299f /tests
parent38e3a90e4b83c4b8642c8421f8237b32bfb27355 (diff)
downloadcoreutils-a8c7983629c8f9d34cf3e710a531f6f4d95f4fe0.tar.xz
tests: invoke via "env printf", rather than using an absolute name
* tests/misc/printf: This results in more concise diagnostics.
Diffstat (limited to 'tests')
-rwxr-xr-xtests/misc/printf52
1 files changed, 26 insertions, 26 deletions
diff --git a/tests/misc/printf b/tests/misc/printf
index fd1275dfe..752da6e02 100755
--- a/tests/misc/printf
+++ b/tests/misc/printf
@@ -16,7 +16,7 @@
# You should have received a copy of the GNU General Public License
# along with this program. If not, see <http://www.gnu.org/licenses/>.
-prog="$abs_top_builddir/src/printf"
+prog='env printf'
. "${srcdir=.}/init.sh"; path_prepend_ ../src
print_ver_ printf
@@ -25,11 +25,11 @@ getlimits_
# Verify the 3 methods of specifying "Escape":
-test $("$prog" "\x1b\n\33\n\e\n" | uniq -u) && fail=1
+test $($prog "\x1b\n\33\n\e\n" | uniq -u) && fail=1
# This would fail (by printing the `--') for printf in sh-utils
# and in coreutils 4.5.1.
-"$prog" -- 'foo\n' > out || fail=1
+$prog -- 'foo\n' > out || fail=1
cat <<\EOF > exp
foo
EOF
@@ -38,47 +38,47 @@ compare out exp || fail=1
rm -f out exp
# Until coreutils-4.5.10, this would elicit a segfault.
-"$prog" '1 %*sy\n' -3 x > out || fail=1
+$prog '1 %*sy\n' -3 x > out || fail=1
# Until coreutils 5.2.2, this would succeed.
-if POSIXLY_CORRECT=1 "$prog" '2 \x' >/dev/null 2>&1; then
+if POSIXLY_CORRECT=1 $prog '2 \x' >/dev/null 2>&1; then
fail=1
else
echo '2 failed, as expected' >> out
fi
# Until coreutils-4.5.12, these would fail.
-"$prog" '3 \x40\n' >> out || fail=1
+$prog '3 \x40\n' >> out || fail=1
POSIXLY_CORRECT=1 \
-"$prog" '4 \x40\n' >> out || fail=1
-"$prog" '5 % +d\n' 234 >> out || fail=1
+$prog '4 \x40\n' >> out || fail=1
+$prog '5 % +d\n' 234 >> out || fail=1
# This should print "6 !\n", but don't rely on `!' being the
# one-byte representation of octal 041. With printf prior to
# coreutils-5.0.1, it would print six bytes: "6 \41\n".
-"$prog" '6 \41\n' | tr '\41' '!' >> out
+$prog '6 \41\n' | tr '\41' '!' >> out
# Note that as of coreutils-5.0.1, printf with a format of '\0002x'
# prints a NUL byte followed by the digit `2' and an `x'.
# By contrast bash's printf outputs the same thing as $(printf '\2x') does.
-"$prog" '7 \2y \02y \002y \0002y\n' |tr '\0\2' '*=' >> out
+$prog '7 \2y \02y \002y \0002y\n' |tr '\0\2' '*=' >> out
-"$prog" '8 %b %b %b %b\n' '\1y' '\01y' '\001y' '\0001y'|tr '\1' = >> out
+$prog '8 %b %b %b %b\n' '\1y' '\01y' '\001y' '\0001y'|tr '\1' = >> out
-"$prog" '9 %*dx\n' -2 0 >>out || fail=1
+$prog '9 %*dx\n' -2 0 >>out || fail=1
-"$prog" '10 %.*dx\n' $INT_UFLOW 0 >>out || fail=1
-"$prog" '%.*dx\n' $INT_OFLOW 0 >>out 2> /dev/null && fail=1
+$prog '10 %.*dx\n' $INT_UFLOW 0 >>out || fail=1
+$prog '%.*dx\n' $INT_OFLOW 0 >>out 2> /dev/null && fail=1
-"$prog" '11 %*c\n' 2 x >>out || fail=1
+$prog '11 %*c\n' 2 x >>out || fail=1
-"$prog" '%#d\n' 0 >>out 2> /dev/null && fail=1
+$prog '%#d\n' 0 >>out 2> /dev/null && fail=1
-"$prog" '%0s\n' 0 >>out 2> /dev/null && fail=1
+$prog '%0s\n' 0 >>out 2> /dev/null && fail=1
-"$prog" '%.9c\n' 0 >>out 2> /dev/null && fail=1
+$prog '%.9c\n' 0 >>out 2> /dev/null && fail=1
-"$prog" '%'\''s\n' 0 >>out 2> /dev/null && fail=1
+$prog '%'\''s\n' 0 >>out 2> /dev/null && fail=1
cat <<\EOF > exp
1 x y
@@ -98,10 +98,10 @@ compare out exp || fail=1
# Verify handling of single quote chars (\' or \")
-"$prog" '%d\n' '"a' >out 2>err # valid
-"$prog" '%d\n' '"a"' >>out 2>>err # invalid
-"$prog" '%d\n' '"' >>out 2>>err # invalid
-"$prog" '%d\n' 'a' >>out 2>>err # invalid
+$prog '%d\n' '"a' >out 2>err # valid
+$prog '%d\n' '"a"' >>out 2>>err # invalid
+$prog '%d\n' '"' >>out 2>>err # invalid
+$prog '%d\n' 'a' >>out 2>>err # invalid
cat <<EOF > exp
97
@@ -111,9 +111,9 @@ cat <<EOF > exp
EOF
cat <<EOF > exp_err
-$prog: warning: ": character(s) following character constant have been ignored
-$prog: ": expected a numeric value
-$prog: a: expected a numeric value
+printf: warning: ": character(s) following character constant have been ignored
+printf: ": expected a numeric value
+printf: a: expected a numeric value
EOF
compare out exp || fail=1